                ;**********************************
                ;*    The Delay routines          *
                ;*                                *
                ;* used by Wait <time>            *
                ;**********************************

 

longdelay               movwf   tempone
ldloop1                 clrf    temptwo
ldloop2                 decfsz  temptwo, F
                        goto    ldloop2
                        decfsz  tempone, F
                        goto    ldloop1
                        return


shortdelay              movwf   tempone
sdloop                  decfsz  tempone, F
                        goto    sdloop
                        return


